Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.router
Class AgentReroutingEvent

    java.lang.Object
      umontreal.iro.lecuyer.simevents.Event
          umontreal.iro.lecuyer.contactcenters.router.AgentReroutingEvent

All Implemented Interfaces:
  Comparable<Event>

    public final class AgentReroutingEvent

extends Event

Represents an event happening when the router tries once more to affect a contact to an agent.

Field Summary

Fields inherited from class umontreal.iro.lecuyer.simevents.Event
`eventTime, priority, sim`

Constructor Summary
`AgentReroutingEvent(Router router, Agent agent, int numReroutingsDone)` Constructs a new agent rerouting event instructing the router `router` to try to find a queued contact for the idle agent `agent` after there was `numReroutingsDone` preceding reroutings.

Method Summary
`void` | `actions()`
`boolean` | `cancel()`
`Agent` | `getAgent()` Returns the agent to be assigned a queued contact.
`int` | `getNumReroutingsDone()` Returns the number of preceding reroutings.
`Router` | `getRouter()` Returns the router associated with this event.
`boolean` | `isObsolete()`
`void` | `schedule(double delay)`
`void` | `scheduleAfter(Event other)`
`void` | `scheduleBefore(Event other)`
`void` | `scheduleNext()`
`String` | `toString()`

Methods inherited from class umontreal.iro.lecuyer.simevents.Event
`cancel, compareTo, getRa, priority, reschedule, setPriority, setRa, setSimulator, setTime, simulator, time`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AgentReroutingEvent

    public AgentReroutingEvent(Router router,
                               Agent agent,
                               int numReroutingsDone)

  Constructs a new agent rerouting event instructing the router `router` to try to find a queued contact for the idle agent `agent` after there was `numReroutingsDone` preceding reroutings.

  Parameters:
    `router` - the router to be used.
    `agent` - the agent to be rerouted.
    `numReroutingsDone` - the number of preceding trials.

Method Detail

### getRouter

    public Router getRouter()

  Returns the router associated with this event.

  Returns:
    the associated router.

### getAgent

    public Agent getAgent()

  Returns the agent to be assigned a queued contact.

  Returns:
    the agent to be assigned a queued contact.

### getNumReroutingsDone

    public int getNumReroutingsDone()

  Returns the number of preceding reroutings.

  Returns:
    the number of reroutings already tried.

### cancel

    public boolean cancel()

  Overrides:
    `cancel` in class `Event`

### schedule

    public void schedule(double delay)

  Overrides:
    `schedule` in class `Event`

### scheduleAfter

    public void scheduleAfter(Event other)

  Overrides:
    `scheduleAfter` in class `Event`

### scheduleBefore

    public void scheduleBefore(Event other)

  Overrides:
    `scheduleBefore` in class `Event`

### scheduleNext

    public void scheduleNext()

  Overrides:
    `scheduleNext` in class `Event`

### isObsolete

    public boolean isObsolete()

### actions

    public void actions()

  Specified by:
    `actions` in class `Event`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.